EpamMVC.WEB/Areas/Admin/Models/Layout/SidebarViewModel.cs
using EpamMVC.DLL.Models;

namespace EpamMVC.WEB.Areas.Admin.Models.Layout
{
    public class SidebarViewModel
    {
        public string UserFullName { get; set; }
        public ApplicationIdentityUser CurrentUser { get; set; }
    }
}

EpamMVC.WEB/Models/Layout/FooterViewModel.cs
namespace EpamMVC.WEB.Models.Layout
{
    public class FooterViewModel
    {
    }
}

EpamMVC.WEB/Models/Layout/HeaderViewModel.cs
namespace EpamMVC.WEB.Models.Layout
{
    public class HeaderViewModel
    {
        public string SiteName { get; set; }
        public string LogoUrl { get; set; }
    }
}

EpamMVC.WEB/Areas/Admin/Controllers/CallbackAdminController.cs
using System.Net;
using System.Threading.Tasks;
using System.Web.Mvc;
using EpamMVC.BLL.Interfaces;
using EpamMVC.DLL.Interfaces;
using EpamMVC.WEB.Areas.Admin.Models.CallbackAdmin;
using EpamMVC.WEB.Models;
using EpamMVC.WEB.Utils;

namespace EpamMVC.WEB.Areas.Admin.Controllers
{
    [Authorize(Roles = "Администраторы")]
    public class CallbackAdminController : Controller
    {
        private readonly ICallbackService _callbackService;
        private readonly int _pageSize = 20;

        public CallbackAdminController(ICallbackService callbackService)
        {
            _callbackService = callbackService;
        }

        public async Task<ActionResult> Index(int pageIndex = 1)
        {
            var items = await _callbackService.GetAsync(
                pageIndex,
                _pageSize,
                x => x.Id,
                OrderDirection.Descending
            );

            ViewBag.pageMeta = new PageMetaContext
            {
                MetaTitle = "Заявки на звонок"
            };

            return View(
                new IndexViewModel
                {
                    Requests = items,
                    Pagination = new Pagination
                    {
                        UrlTemplate = Url.Action("Index", new {pageIndex = "PAGE_INDEX"}),
                        PageSize = _pageSize,
                        CurrentPageNumber = pageIndex,
                        TotalItems = items.TotalCount
                    }
                }
            );
        }

        [HttpPost]
        public async Task<HttpStatusCodeResult> Mark(int id, bool calledState)
        {
            var callbackRequest = await _callbackService.GetByIdAsync(id);
            if (callbackRequest != null)
            {
                callbackRequest.Called = calledState;
                await _callbackService.UpdateAsync(callbackRequest);

                return new HttpStatusCodeResult(HttpStatusCode.Accepted);
            }

            return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
        }

        [HttpPost]
        public async Task<HttpStatusCodeResult> Delete(int id)
        {
            var callbackRequest = await _callbackService.GetByIdAsync(id);
            if (callbackRequest != null)
            {
                await _callbackService.DeleteAsync(callbackRequest);

                return new HttpStatusCodeResult(HttpStatusCode.Accepted);
            }

            return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
        }
    }
}

EpamMVC.WEB/Areas/Admin/Controllers/ExceptionLogAdminController.cs
using System.Collections.Generic;
using System.Threading.Tasks;
using System.Web.Mvc;
using EpamMVC.BLL.Interfaces;
using EpamMVC.DLL.Interfaces;
using EpamMVC.WEB.Areas.Admin.Models.ExceptionLogAdmin;
using EpamMVC.WEB.Models;
using EpamMVC.WEB.Utils;

namespace EpamMVC.WEB.Areas.Admin.Controllers
{
    [Authorize(Roles = "Администраторы")]
    public class ExceptionLogAdminController : Controller
    {
        private readonly IExceptionLogService _exceptionLogService;
        private readonly int _pageSize = 20;

        public ExceptionLogAdminController(IExceptionLogService exceptionLogService)
        {
            _exceptionLogService = exceptionLogService;
        }

        public async Task<ActionResult> Index(int pageIndex = 1)
        {
            var items = await _exceptionLogService.GetAsync(
                pageIndex,
                _pageSize,
                x => x.Id,
                OrderDirection.Descending
            );

            ViewBag.pageMeta = new PageMetaContext
            {
                MetaTitle = "Журнал ошибок"
            };

            return View(
                new IndexViewModel
                {
                    LogRecords = items,
                    Pagination = new Pagination
                    {
                        UrlTemplate = Url.Action("Index", new {pageIndex = "PAGE_INDEX"}),
                        PageSize = _pageSize,
                        CurrentPageNumber = pageIndex,
                        TotalItems = items.TotalCount
                    }
                }
            );
        }

        public async Task<ActionResult> Details(int id)
        {
            var record = await _exceptionLogService.GetSingleAsync(x => x.Id == id);
            if (record == null) return HttpNotFound();

            ViewBag.pageMeta = new PageMetaContext
            {
                MetaTitle = "Информация о ошибке - " + record.Id,
                Breadscrumbs = new List<PageMetaContextUrl>
                {
                    new PageMetaContextUrl
                    {
                        Link = Url.Action("Index"),
                        Text = "Журнал об ошибках"
                    },
                    new PageMetaContextUrl
                    {
                        Link = Url.Action("Details", new {id}),
                        Text = "Информация о ошибке"
                    }
                }
            };

            return View(new DetailsViewModel
            {
                LogRecord = record
            });
        }
    }
}

EpamMVC.WEB/Areas/Admin/Controllers/LayoutAdminController.cs
using System.Web.Mvc;
using EpamMVC.DLL.Extensions;
using EpamMVC.DLL.Interfaces;
using EpamMVC.WEB.Areas.Admin.Models.Layout;
using Microsoft.AspNet.Identity;

namespace EpamMVC.WEB.Areas.Admin.Controllers
{
    [Authorize(Roles = "Администраторы")]
    public class LayoutAdminController : Controller
    {
        private readonly IApplicationUserManager _userManager;

        public LayoutAdminController(IApplicationUserManager userManager)
        {
            _userManager = userManager;
        }

        [ChildActionOnly]
        public PartialViewResult Header()
        {
            return PartialView();
        }

        [ChildActionOnly]
        public PartialViewResult Footer()
        {
            return PartialView();
        }

        [ChildActionOnly]
        public PartialViewResult Sidebar()
        {
            return PartialView(
                new SidebarViewModel
                {
                    UserFullName = User.Identity.Name,
                    CurrentUser = _userManager.FindById(
                        User.Identity.GetUserId<int>()
                    ).ToApplicationUser()
                });
        }
    }
}

EpamMVC.WEB/Areas/Admin/Controllers/UserAdminController.cs
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Threading.Tasks;
using System.Web.Mvc;
using System.Web.Security;
using EpamMVC.BLL.Interfaces;
using EpamMVC.DLL.Extensions;
using EpamMVC.DLL.Interfaces;
using EpamMVC.DLL.Models.Identity;
using EpamMVC.WEB.Areas.Admin.Models.UserAdmin;
using EpamMVC.WEB.Models;
using EpamMVC.WEB.Utils;

namespace EpamMVC.WEB.Areas.Admin.Controllers
{
    [Authorize(Roles = "Администраторы")]
    public class UsersAdminController : Controller
    {
        private const int PageSize = 20;
        private IClientAccountService _clientAccountService;
        private IApplicationRoleManager _roleManager;
        private IApplicationUserManager _userManager;

        public UsersAdminController(
            IApplicationUserManager userManager,
            IApplicationRoleManager roleManager,
            IClientAccountService clientAccountService
        )
        {
            _userManager = userManager;
            _roleManager = roleManager;
            _clientAccountService = clientAccountService;
        }

        public async Task<ActionResult> Index(int pageIndex = 1)
        {
            ViewBag.PageMeta = new PageMetaContext
            {
                MetaTitle = "Список пользователей",
                Breadscrumbs = new List<PageMetaContextUrl>
                {
                    new PageMetaContextUrl
                    {
                        Link = Url.Action("Index"),
                        Text = "Список пользователей"
                    }
                }
            };

            var users = await _userManager.GetUsersAsync(
                pageIndex,
                PageSize,
                x => x.Id,
                orderDirection: OrderDirection.Descending
            );

            return View(
                new IndexViewModel
                {
                    Users = users,
                    Pagination = new Pagination
                    {
                        UrlTemplate = Url.Action("Index", new {pageIndex = "PAGE_INDEX"}),
                        PageSize = PageSize,
                        CurrentPageNumber = pageIndex,
                        TotalItems = users.TotalCount
                    }
                }
            );
        }

        public async Task<ActionResult> Details(int id)
        {
            var user = await _userManager.FindByIdAsync(id);
            if (user == null) return HttpNotFound();

            ViewBag.pageMeta = new PageMetaContext
            {
                MetaTitle = "Информация о пользователе - " + user.UserName,
                Breadscrumbs = new List<PageMetaContextUrl>
                {
                    new PageMetaContextUrl
                    {
                        Link = Url.Action("Index"),
                        Text = "Список пользователей"
                    },
                    new PageMetaContextUrl
                    {
                        Link = Url.Action("Details", new {id}),
                        Text = "Информация о пользователе"
                    }
                }
            };

            return View(new DetailsViewModel
            {
                User = user,
                Roles = await _userManager.GetRolesAsync(user.Id),
                Accounts = _clientAccountService.Get(
                    1,
                    20,
                    x => x.Id,
                    OrderDirection.Ascending,
                    x => x.User.Id == id
                )
            });
        }

        public async Task<ActionResult> Create()
        {
            ViewBag.pageMeta = new PageMetaContext
            {
                MetaTitle = "Добавить нового пользователя",
                Breadscrumbs = new List<PageMetaContextUrl>
                {
                    new PageMetaContextUrl
                    {
                        Link = Url.Action("Index"),
                        Text = "Список пользователей"
                    },
                    new PageMetaContextUrl
                    {
                        Link = Url.Action("Create"),
                        Text = "Добавить нового пользователя"
                    }
                }
            };

            var userRolesAvailable = await _roleManager.GetRolesAsync();

            return View(
                new EditViewModel
                {
                    RolesListAvailable = userRolesAvailable.Select(
                        x => new SelectListItem
                        {
                            Selected = false,
                            Text = x.Name,
                            Value = x.Name
                        })
                }
            );
        }

        //
        // POST: /Users/Create
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<ActionResult> Create([Bind(Exclude = "RolesListAvailable")] EditViewModel request)
        {
            ViewBag.pageMeta = new PageMetaContext
            {
                MetaTitle = "Добавить нового пользователя",
                Breadscrumbs = new List<PageMetaContextUrl>
                {
                    new PageMetaContextUrl
                    {
                        Link = Url.Action("Index"),
                        Text = "Список пользователей"
                    },
                    new PageMetaContextUrl
                    {
                        Link = Url.Action("Create"),
                        Text = "Добавить нового пользователя"
                    }
                }
            };

            if (request.RolesListSelect == null) request.RolesListSelect = new List<string>();

            if (ModelState.IsValid)
            {
                var user = new AppUser {UserName = request.Email, Email = request.Email};
                if (request.Password == null) request.Password = Membership.GeneratePassword(12, 1);

                var adminResult = await _userManager.CreateAsync(user, request.Password);
                if (adminResult.Succeeded)
                {
                    await _userManager.SetUserRolesAsync(user.Id, request.RolesListSelect);

                    _userManager.SetLockoutEnabled(user.Id, request.Locked);

                    return RedirectToAction("Details", new {user.Id});
                }

                ModelState.AddModelError("", adminResult.Errors.First());
            }

            var userRolesAvailable = await _roleManager.GetRolesAsync();
            request.RolesListAvailable = userRolesAvailable.Select(
                x => new SelectListItem
                {
                    Selected = request.RolesListSelect.Contains(x.Name),
                    Text = x.Name,
                    Value = x.Name
                });
            return View(request);
        }

        public async Task<ActionResult> Edit(int id)
        {
            var user = await _userManager.FindByIdAsync(id);

            if (user == null) return HttpNotFound();

            ViewBag.pageMeta = new PageMetaContext
            {
                MetaTitle = "Редактирование пользователя - " + user.UserName,
                Breadscrumbs = new List<PageMetaContextUrl>
                {
                    new PageMetaContextUrl
                    {
                        Link = Url.Action("Index"),
                        Text = "Список пользователей"
                    },
                    new PageMetaContextUrl
                    {
                        Link = Url.Action("Edit", new {user.Id}),
                        Text = "Редактирование пользователя"
                    }
                }
            };

            var userRoles = await _userManager.GetRolesAsync(user.Id);
            var userRolesAvailable = await _roleManager.GetRolesAsync();

            return View(new EditViewModel
            {
                Id = user.Id,
                Email = user.Email,
                Locked = user.LockoutEnabled,
                RolesListAvailable = userRolesAvailable.Select(
                    x => new SelectListItem
                    {
                        Selected = userRoles.Contains(x.Name),
                        Text = x.Name,
                        Value = x.Name
                    })
            });
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<ActionResult> Edit([Bind(Exclude = "RolesListAvailable")] EditViewModel request)
        {
            var user = await _userManager.FindByIdAsync(request.Id);
            if (user == null) return HttpNotFound();

            ViewBag.pageMeta = new PageMetaContext
            {
                MetaTitle = "Редактирование пользователя - " + user.UserName,
                Breadscrumbs = new List<PageMetaContextUrl>
                {
                    new PageMetaContextUrl
                    {
                        Link = Url.Action("Index"),
                        Text = "Список пользователей"
                    },
                    new PageMetaContextUrl
                    {
                        Link = Url.Action("Edit", new {user.Id}),
                        Text = "Редактирование пользователя"
                    }
                }
            };

            var showForm = false;

            if (ModelState.IsValid)
            {
                user.UserName = request.Email;
                user.Email = request.Email;
                user.LockoutEnabled = request.Locked;

                if (request.RolesListSelect == null) request.RolesListSelect = new List<string>();

                var result = await _userManager.SetUserRolesAsync(user.Id, request.RolesListSelect);

                if (!result.Succeeded)
                {
                    ModelState.AddModelError("", result.Errors.First());
                    showForm = true;
                }
            }
            else
            {
                showForm = true;
            }

EpamMVC.WEB/Areas/Admin/Views/LayoutAdmin/Footer.cshtml
@model EpamMVC.WEB.Models.Layout.FooterViewModel

<footer>
    <div class="copyright">&copy; @DateTime.Now.Year - Tech-Priest, cc-by-nc</div>
</footer>

EpamMVC.WEB/Areas/Admin/Views/LayoutAdmin/Header.cshtml
<!-- Navbar -->
<nav class="main-header navbar navbar-expand navbar-dark navbar-primary">


    <ul class="navbar-nav">
        <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#">
                <i class="fas fa-bars"></i>
            </a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
            <a href="/" class="nav-link">
                Публичная часть
            </a>
        </li>
    </ul>

    <ul class="navbar-nav ml-auto">
        <li class="nav-item">
            <a class="nav-link" href="@Url.Action("LogOff", "Account", new {area = ""})">
                <i class="fas fa-sign-out-alt" aria-hidden="true"></i>
            </a>
        </li>
    </ul>

</nav>

EpamMVC.WEB/Areas/Admin/Views/LayoutAdmin/Page.cshtml
@using EpamMVC.WEB.HtmlHelpers
@using EpamMVC.WEB.Utils
@{
    PageMetaContext pageMetaContext = ViewBag.PageMeta;

    if (pageMetaContext == null)
    {
        pageMetaContext = new PageMetaContext();
    }
}


<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>@pageMetaContext.MetaTitle | Easy Travel Панель Администратора</title>
    <meta name="description" content="@pageMetaContext.MetaDescription"/>

    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">

    <link rel="stylesheet" href="/Content/dist/admin_bundle.css"/>
    <script defer="defer" src="/Content/dist/admin_bundle.js"></script>
</head>

<body class="hold-transition sidebar-mini">
<div class="wrapper">

    <form action="/" class="js_ajax_token">
        @Html.AntiForgeryToken()
    </form>

    @{ Html.RenderAction("Header", "LayoutAdmin"); }

    @{ Html.RenderAction("Sidebar", "LayoutAdmin"); }

    <div class="content-wrapper">

        <div class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1 class="m-0 text-dark">
                            @pageMetaContext.PageHeader
                        </h1>
                    </div><!-- /.col -->
                    <div class="col-sm-6">
                        @Html.PrintAdminBreadscrumbs(pageMetaContext)
                    </div>
                </div>
            </div>
        </div>

        <div class="content">
            <div class="container-fluid">
                @RenderBody()
            </div>
        </div>

    </div>

    <footer class="main-footer">
        Copyright &copy; 2019 - Tech-Priest, cc-by-nc
    </footer>

</div>

</body>
</html>

EpamMVC.WEB/Areas/Admin/Views/LayoutAdmin/Sidebar.cshtml
@model EpamMVC.WEB.Areas.Admin.Models.Layout.SidebarViewModel

<aside class="main-sidebar elevation-4 sidebar-dark-info">

    <a href="/" class="brand-link navbar-primary">
        <img src="/Content/Upload/logo_icon_white.png" class="brand-image img-circle elevation-1"/>
        <span class="brand-text font-weight-light">EasyTravel</span>
    </a>


    <div class="sidebar">

        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            <div class="info">
                <a href="@Url.Action("Edit", "UsersAdmin", new {Model.CurrentUser.Id})" class="d-block">
                    @Model.UserFullName
                </a>
            </div>
        </div>

        <nav class="mt-2">
            <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                <li class="nav-item">
                    <a href="@Url.Action("Index", "CallbackAdmin")" class="nav-link">
                        <i class="nav-icon fas fa-phone" aria-hidden="true"></i>
                        <p>
                            Заказы звонка
                        </p>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="@Url.Action("Index", "ClientAccountAdmin")" class="nav-link">
                        <i class="nav-icon fas fa-credit-card" aria-hidden="true"></i>
                        <p>
                            Карты покупателей
                        </p>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="@Url.Action("Index", "UsersAdmin")" class="nav-link">
                        <i class="nav-icon fas  fa-user" aria-hidden="true"></i>
                        <p>
                            Пользователи
                        </p>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="@Url.Action("Index", "RolesAdmin")" class="nav-link">
                        <i class="nav-icon fas fa-users" aria-hidden="true"></i>
                        <p>
                            Группы пользователей
                        </p>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="@Url.Action("Index", "ExceptionLogAdmin")" class="nav-link">
                        <i class="nav-icon fas fa-exclamation" aria-hidden="true"></i>
                        <p>
                            Журнал ошибок
                        </p>
                    </a>
                </li>
            </ul>
        </nav>

    </div>

</aside>